# `/api/table`

Get the total count of Sensors

curl -k "https://172.16.165.19/api/table.json?content=sensors&count=0&apitoken=BV3PKNYJHAUEQIR7UTCZWFYUN7FKNTO62DFBUFQZ5M======" | jq .

```
{
  "prtg-version": "23.4.88.1429",
  "treesize": 48,
  "sensors": []
}
```

Get info to one sensor

curl -k "https://172.16.165.19/api/table.json?content=sensors&columns=objid,type,name,active,downtime,downtimetime,sensor,lastcheck,device,probe,status,message,lastup,pausedsens,interval&apitoken=BV3PKNYJHAUEQIR7UTCZWFYUN7FKNTO62DFBUFQZ5M======&filter_objid=2070" | jq .

```
{
  "prtg-version": "23.4.88.1429",
  "treesize": 1,
  "sensors": [
    {
      "objid": 2070,
      "objid_raw": 2070,
      "type": "SSL-Zertifikat",
      "type_raw": "sslcertificate",
      "name": "SSL-Zertifikatssensor (Port 443)",
      "name_raw": "SSL-Zertifikatssensor (Port 443)",
      "active": true,
      "active_raw": -1,
      "downtime": "0,0000%",
      "downtime_raw": 0,
      "downtimetime": "0 Sek.",
      "downtimetime_raw": 0,
      "sensor": "SSL-Zertifikatssensor (Port 443)",
      "sensor_raw": "SSL-Zertifikatssensor (Port 443)",
      "lastcheck": "17.11.2023 09:20:25 <span class=\"percent\">[liegt 21 Sek. zurück]</span>",
      "lastcheck_raw": 45247.3475120023,
      "device": "172.16.165.101",
      "device_raw": "172.16.165.101",
      "probe": "Local Probe",
      "probe_raw": "Local Probe",
      "status": "Warnung",
      "status_raw": 4,
      "message": "<div class=\"status\">Warnung durch Lookup-Wert &#39;No&#39; in Kanal &#39;Vertrauenswürdige Stammzertifizierungsstelle&#39; — Warnung durch Lookup-Wert &#39;Unable to check revocation status&#39; in Kanal &#39;Widerrufen&#39; (OK. Certificate Common Name: test-oitc.itsm.love - Certificate Thumbprint: C29F8D36A57BDC2EE00E4846B69C6E3D7B8D1B11)<div class=\"moreicon\"></div></div>",
      "message_raw": "Warnung durch Lookup-Wert 'No' in Kanal 'Vertrauenswürdige Stammzertifizierungsstelle' — Warnung durch Lookup-Wert 'Unable to check revocation status' in Kanal 'Widerrufen' (OK. Certificate Common Name: test-oitc.itsm.love - Certificate Thumbprint: C29F8D36A57BDC2EE00E4846B69C6E3D7B8D1B11)",
      "lastup": "17.11.2023 09:20:25 <span class=\"percent\">[liegt 21 Sek. zurück]</span>",
      "lastup_raw": 45247.3475120023,
      "pausedsens": "17.11.2023 09:20:25 <span class=\"percent\">[liegt 21 Sek. zurück]</span>",
      "pausedsens_raw": 0,
      "interval": "60 Sek.",
      "interval_raw": 60
    }
  ]
}
```

# `/api/getsensordetails`

curl -k "https://172.16.165.19/api/getsensordetails.json?id=2070&apitoken=BV3PKNYJHAUEQIR7UTCZWFYUN7FKNTO62DFBUFQZ5M======" | jq .

```
{
  "prtgversion": "23.4.88.1429+",
  "sensordata": {
    "name": "SSL-Zertifikatssensor (Port 443)",
    "parentgroupname": "Linux / macOS / Unix",
    "parentdevicename": "172.16.165.101",
    "sensortype": "sslcertificate",
    "interval": "60",
    "probename": "Local Probe",
    "statusid": "4",
    "lastup": "45247.3572342940 [liegt 103 Sek. zurück]",
    "lastdown": "-",
    "lastcheck": "45247.3572342940 [liegt 103 Sek. zurück]",
    "uptime": "100,0000%",
    "uptimetime": "10 Tg.",
    "downtime": "0,0000%",
    "downtimetime": "0 Sek.",
    "updowntotal": "0 Sek.  [=99% Abdeckung]",
    "updownsince": "45236.4583449884 [liegt 10 Tg. zurück]",
    "parentdeviceid": "2052",
    "lastvalue": "3.388 # (Tage bis zum Ablauf)",
    "lastmessage": "Warnung durch Lookup-Wert &amp;#39;No&amp;#39; in Kanal &amp;#39;Vertrauenswürdige Stammzertifizierungsstelle&amp;#39; — Warnung durch Lookup-Wert &amp;#39;Unable to check revocation status&amp;#39; in Kanal &amp;#39;Widerrufen&amp;#39; (OK. Certificate Common Name: test-oitc.itsm.love - Certificate Thumbprint: C29F8D36A57BDC2EE00E4846B69C6E3D7B8D1B11)",
    "statustext": "Warnung",
    "info": "localprobe",
    "favorite": "false"
  }
}
```

# `/api/table.json?content=channels`

List Channels of a Sensor

curl -k "https://172.16.165.19/api/table.json?content=channels&columns=objid,name,lastvalue&showhide=1&id=2070&apitoken=BV3PKNYJHAUEQIR7UTCZWFYUN7FKNTO62DFBUFQZ5M======" | jq .

```
{
  "prtg-version": "23.4.88.1429",
  "treesize": 0,
  "channels": [
    {
      "objid": -4,
      "objid_raw": "*000000004",
      "name": "Ausfallzeit",
      "name_raw": "Ausfallzeit",
      "lastvalue": "",
      "lastvalue_raw": ""
    },
    {
      "objid": 2,
      "objid_raw": 2,
      "name": "Tage bis zum Ablauf",
      "name_raw": "Tage bis zum Ablauf",
      "lastvalue": "3.388 #",
      "lastvalue_raw": 3388
    },
    {
      "objid": 3,
      "objid_raw": 3,
      "name": "Vertrauenswürdige Stammzertifizierungsstelle",
      "name_raw": "Vertrauenswürdige Stammzertifizierungsstelle",
      "lastvalue": "No",
      "lastvalue_raw": 1
    },
    {
      "objid": 4,
      "objid_raw": 4,
      "name": "Widerrufen",
      "name_raw": "Widerrufen",
      "lastvalue": "Unable to check revocation status",
      "lastvalue_raw": -1
    },
    {
      "objid": 5,
      "objid_raw": 5,
      "name": "Länge des Öffentlichen Schlüssels",
      "name_raw": "Länge des Öffentlichen Schlüssels",
      "lastvalue": "Good (2048)",
      "lastvalue_raw": 2048
    },
    {
      "objid": 6,
      "objid_raw": 6,
      "name": "Selbstsigniert",
      "name_raw": "Selbstsigniert",
      "lastvalue": "Yes",
      "lastvalue_raw": 1
    },
    {
      "objid": 7,
      "objid_raw": 7,
      "name": "Überprüfung des Common Name",
      "name_raw": "Überprüfung des Common Name",
      "lastvalue": "Disabled",
      "lastvalue_raw": 2
    }
  ]
}
```


https://172.16.165.19/api/table.json?content=channels&sortby=name&columns=name%3Dtextraw%2Cinfo%3Dtreejson%2Cminimum%2Cmaximum%2Ccondition%2Clastvalue&id=2002&_=1700210375788&apitoken=BV3PKNYJHAUEQIR7UTCZWFYUN7FKNTO62DFBUFQZ5M======

```
{
  "prtg-version": "23.4.88.1429",
  "treesize": 0,
  "channels": [
    {
      "name": "Ausfallzeit",
      "name_raw": "Ausfallzeit",
      "info": {
        "data": [
          {
            "status": 3,
            "id": -4,
            "name": "Ausfallzeit",
            "ispercent": true,
            "lastvalue": "Bislang keine Daten",
            "lastvalueraw": "Bislang keine Daten",
            "graphmaxraw": 100,
            "graphminraw": 0,
            "graphmax": "100 %",
            "graphmin": "0 %"
          }
        ]
      },
      "info_raw": "Ausfallzeit",
      "minimum": "",
      "minimum_raw": "",
      "maximum": "",
      "maximum_raw": "",
      "condition": "3",
      "condition_raw": 3,
      "lastvalue": "",
      "lastvalue_raw": ""
    },
    {
      "name": "Ladezeit",
      "name_raw": "Ladezeit",
      "info": {
        "data": [
          {
            "status": 3,
            "id": 0,
            "name": "Ladezeit",
            "ispercent": false,
            "lastvalue": "74 ms",
            "lastvalueraw": 74,
            "alltimeminimum": "51 ms",
            "alltimemaximum": "1.312 ms",
            "averageraw": 84.4835603420969,
            "average": "84 ms",
            "limitmode": 0,
            "graphmaxraw": 1312,
            "graphminraw": 0,
            "graphmax": "1.312 ms",
            "graphmin": "0 ms",
            "primary": true
          }
        ]
      },
      "info_raw": "Ladezeit",
      "minimum": "51 ms",
      "minimum_raw": 51.0000,
      "maximum": "1.312 ms",
      "maximum_raw": 1312.0000,
      "condition": "3",
      "condition_raw": 3,
      "lastvalue": "74 ms",
      "lastvalue_raw": 74.0000
    }
  ]
}
```





```
https://github.com/lordmilko/PrtgAPI

Zip Runterladen und Entpacken, dann die `PrtgAPI.cmd` per Doppelklick ausführen

Connect-PrtgServer -IgnoreSSL

Get-Sensor ping -verbose

Get-Sensor "SSH*" | Get-Channel -Verbose

Get-Channel -SensorId 2002 -Verbose


```